0

Im in wp env environment and after this command

npm run env:start

[email protected] env:start wp-env start && ./php-extension.sh

✖ Error while running docker compose command. WordPress is already installed. Success: Updated the constant 'FS_METHOD' in the 'wp-config.php' file with the value 'direct'. Success: Updated the constant 'WP_DEBUG' in the 'wp-config.php' file with the raw value 'true'. Success: Updated the constant 'SCRIPT_DEBUG' in the 'wp-config.php' file with the raw value 'true'. Success: Updated the constant 'WP_ENVIRONMENT_TYPE' in the 'wp-config.php' file with the value 'local'. Success: Updated the constant 'WP_PHP_BINARY' in the 'wp-config.php' file with the value 'php'. Success: Updated the constant 'WP_TESTS_EMAIL' in the 'wp-config.php' file with the value '[email protected]'. Success: Updated the constant 'WP_TESTS_TITLE' in the 'wp-config.php' file with the value 'Test Blog'. Success: Updated the constant 'WP_TESTS_DOMAIN' in the 'wp-config.php' file with the value 'localhost:8888'. Success: Updated the constant 'WP_SITEURL' in the 'wp-config.php' file with the value 'http://localhost:8888'. Success: Updated the constant 'WP_HOME' in the 'wp-config.php' file with the value 'http://localhost:8888'. Container 221cb3b2fc87677b60f0edba623fa904-mysql-1 Running Container 221cb3b2fc87677b60f0edba623fa904-wordpress-1 Running

I have this error, the containers seems to run correctly but I have this error.

These are my dependencies and my script:

{
"scripts": {
    "test:docker": "wp-scripts test-e2e ",
    "test:unit": "wp-scripts test-unit-js --config jest.config.js",
    "env:start": "wp-env start && ./php-extension.sh",
    "env:stop": "wp-env stop",
    "env:destroy": "wp-env destroy"
  },
  "devDependencies": {
    "@uiw/codemirror-extensions-langs": "^4.19.16",
    "@uiw/react-codemirror": "^4.19.16",
    "@wordpress/components": "^22.0.0",
    "@wordpress/data": "^7.5.0",
    "@wordpress/e2e-test-utils": "^10.19.0",
    "@wordpress/edit-post": "^6.18.0",
    "@wordpress/env": "^9.0.0",
    "@wordpress/eslint-plugin": "^13.8.0",
    "@wordpress/i18n": "^4.24.0",
    "@wordpress/icons": "^9.12.0",
    "@wordpress/jest-console": "^7.19.0",
    "@wordpress/jest-puppeteer-axe": "^6.19.0",
    "@wordpress/plugins": "^4.19.0",
    "@wordpress/scripts": "^24.5.0",
    "css-loader": "^6.7.2",
    "css-modules": "^0.3.0",
    "expect-puppeteer": "^9.0.2",
    "fundamental-react": "^0.14.4",
    "ignore-emit-webpack-plugin": "^2.0.6",
    "jest": "^29.7.0",
    "mini-css-extract-plugin": "^2.7.0",
    "node-sass": "^6.0.1",
    "raw-loader": "^4.0.2",
    "sass": "^1.56.2",
    "sass-loader": "^13.2.0",
    "style-loader": "^3.3.1"
  },
  "dependencies": {
    "showdown": "^2.1.0",
    "uuid": "^9.0.1"
  }
}

./php-extension.sh it's a script file to install some php extensions as explain in this article :

https://juzhax.com/2021/08/installing-php-extension-in-wp-env/

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.